import spacy

# Charger le modèle Spacy en anglais
nlp = spacy.load("en_core_web_sm", exclude=["lookups"])

# Afficher les composants actuels 
print("Composants actuels du pipeline :", nlp.pipe_names)

# Texte à traiter
texte = "Apple is looking at buying a French startup based in Lyon, for $1 billion"

# Appliquer le pipeline Spacy au texte
doc = nlp(texte)

# Afficher les informations résultantes
for token in doc:
    print(f"Token: {token.text}, POS: {token.pos_}, Dependency: {token.dep_}, Entity: {token.ent_type_}")

# Afficher les entités nommées
print("\nEntités nommées : ")
for ent in doc.ents:
    print(f"{ent.text} ({ent.label_})")
